Package ch.qos.logback.core.subst

## Class Token

- java.lang.Object
- - ch.qos.logback.core.subst.Token

    public class Token
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Token.Type`

### Field Summary

Fields
`static Token` `CURLY_LEFT_TOKEN`
`static Token` `CURLY_RIGHT_TOKEN`
`static Token` `DEFAULT_SEP_TOKEN`
`static Token` `START_TOKEN`

### Constructor Summary

Constructors
`Token​(Token.Type type, java.lang.String payload)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### START_TOKEN

    public static final Token START_TOKEN

#### CURLY_LEFT_TOKEN

    public static final Token CURLY_LEFT_TOKEN

#### CURLY_RIGHT_TOKEN

    public static final Token CURLY_RIGHT_TOKEN

#### DEFAULT_SEP_TOKEN

    public static final Token DEFAULT_SEP_TOKEN

### Constructor Detail

#### Token

    public Token​(Token.Type type,
                 java.lang.String payload)

### Method Detail

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`